apiVersion: apps/v1
kind: Deployment
metadata:
  name: allowlister
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: allowlister
  template:
    metadata:
      namespace: default
      labels:
        app: allowlister
    spec:
      containers:
        - name: allowlist-updater
          image: gcr.io/xand-dev/allowlist-updater
          args:
            - /config
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
          volumeMounts:
            - mountPath: /var/allowlist
              name: allowlist-path
            - mountPath: /config
              name: allowlist-updater-config

        - name: allowlist-nginx
          image: gcr.io/xand-dev/allowlist-nginx
          env:
            - name: PROXY_TO_LOCATION
              value: validators
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
          volumeMounts:
            - mountPath: /etc/nginx/allowlist
              name: allowlist-path
          ports:
            - containerPort: 30333
              name: ws-nginx-port

      volumes:
        - name: allowlist-path
          emptyDir: {}
        - name: allowlist-updater-config
          configMap:
            name: allowlist-updater-config
